//
//  TSWExpression.h
//  TSWExpressionEvaluator
//
//  Created by Raj Doshi on 3/6/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class TSWExpressionNode;

@interface TSWExpression : NSObject {
	TSWExpressionNode *rootNode;
	NSString *expressionString;
}

+ (id)expressionWithRootNode:(TSWExpressionNode *)n;
- (id)initWithRootNode:(TSWExpressionNode *)n;
- (id)evaluateWithDataSource:(id)dataSource;
- (NSString *)expressionString;
- (void)setExpressionString:(NSString *)str;

@end
